## qjackctl 0.9.7

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.15)

project (qjackctl
  VERSION 0.9.7
  DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
  LANGUAGES C CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

set (CONFIG_VERSION ${PROJECT_VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
else ()
  set (VERSION "${PROJECT_VERSION}")
endif ()

set (PACKAGE_NAME "QjackCtl")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qjackctl")

set (ac_version "${PROJECT_VERSION}")
set (ac_prefix "${CMAKE_INSTALL_PREFIX}")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CONFIG_DEBUG)
  set (CMAKE_BUILD_TYPE "Debug")
endif ()
if (CMAKE_BUILD_TYPE MATCHES "Debug")
  set (CONFIG_DEBUG 1)
endif ()
if (CONFIG_DEBUG)
  set (CONFIG_BUILD_TYPE "debug")
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Disable system tray argument option.
option (CONFIG_SYSTEM_TRAY "Enable system tray (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK port aliases support.
option (CONFIG_JACK_PORT_ALIASES "Enable JACK port aliases support (default=yes)" 1)

# Enable JACK metadata support.
option (CONFIG_JACK_METADATA "Enable JACK metadata support (default=yes)" 1)

# Enable JACK MIDI support option.
option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)

# Enable JACK CV support option.
option (CONFIG_JACK_CV "Enable JACK CV support (default=yes)" 1)

# Enable JACK OSC support option.
option (CONFIG_JACK_OSC "Enable JACK OSC support (default=yes)" 1)

# Enable JACK version support.
option (CONFIG_JACK_VERSION "Enable JACK version support (default=no)" 0)

# Enable ALSA sequencer support option.
option (CONFIG_ALSA_SEQ "Enable ALSA/MIDI sequencer support (default=yes)" 1)

# Enable PortAudio argument option.
option (CONFIG_PORTAUDIO "Enable PortAudio interface (default=yes)" 1)

# Enable CoreAudio argument option.
option (CONFIG_COREAUDIO "Enable CoreAudio interface (default=yes)" 1)

# Enable D-Bus argument option.
option (CONFIG_DBUS "Enable D-Bus interface (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=yes)" 1)

# Enable debugger stack-trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)

# Enable Wayland support option.
option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)

# Enable Qt6 build preference.
option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)

# Enable install QT DLLs for Windows targets using windeployqt.
option (CONFIG_INSTALL_QT "Install Qt for MacOS and Windows targets (default=no)" 0)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt...
if (CONFIG_QT6)
  find_package (Qt6 QUIET)
  if (NOT Qt6_FOUND)
    set (CONFIG_QT6 0)
  endif ()
endif ()

if (CONFIG_QT6)
  find_package (QT QUIET NAMES Qt6)
else ()
  find_package (QT QUIET NAMES Qt5)
endif ()

find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)

if (CONFIG_XUNIQUE)
  find_package (Qt${QT_VERSION_MAJOR} COMPONENTS Network)
  if (NOT Qt${QT_VERSION_MAJOR}Network_FOUND)
    message (WARNING "*** QT Network library not found.")
    set (CONFIG_XUNIQUE 0)
  endif ()
endif ()

if (CONFIG_DBUS)
  find_package (Qt${QT_VERSION_MAJOR} COMPONENTS DBus)
  if (NOT Qt${QT_VERSION_MAJOR}DBus_FOUND)
    message (WARNING "*** QT DBus library not found.")
    set (CONFIG_DBUS 0)
  endif ()
endif ()

find_package (Qt${QT_VERSION_MAJOR}LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckLibraryExists)
include (CheckSymbolExists)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (Jack REQUIRED)
set (CONFIG_JACK 1)
set (CMAKE_REQUIRED_LIBRARIES "${Jack_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
set (CMAKE_REQUIRED_INCLUDES "${Jack_INCLUDE_DIRS};${CMAKE_REQUIRED_INCLUDES}")
# Check for jack/statistics.h header.
check_include_file (jack/statistics.h HAVE_JACK_STATISTICS_H)
if (NOT HAVE_JACK_STATISTICS_H)
  set (CONFIG_JACK_STATISTICS 0)
else ()
  set (CONFIG_JACK_STATISTICS 1)
endif ()
# Check for JACK MIDI headers availability.
if (CONFIG_JACK_MIDI)
  check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
  if (NOT HAVE_JACK_MIDIPORT_H)
    set (CONFIG_JACK_MIDI 0)
  endif ()
endif ()
# Check for JACK session headers availability.
if (CONFIG_JACK_SESSION)
  check_include_file (jack/session.h HAVE_JACK_SESSION_H)
  if (NOT HAVE_JACK_SESSION_H)
    set (CONFIG_JACK_SESSION 0)
  endif ()
endif ()
# Check for JACK metadata headers availability.
if (CONFIG_JACK_METADATA)
  check_include_file (jack/metadata.h HAVE_JACK_METADATA_H)
  if (NOT HAVE_JACK_METADATA_H)
    set (CONFIG_JACK_METADATA 0)
  endif ()
endif ()
if (NOT CONFIG_JACK_METADATA)
  set (CONFIG_JACK_CV  0)
  set (CONFIG_JACK_OSC 0)
endif ()
# Check for jack_is_realtime function.
check_symbol_exists (jack_is_realtime "jack/jack.h" CONFIG_JACK_REALTIME)
# Check for jack_free function.
check_symbol_exists (jack_free "jack/jack.h" CONFIG_JACK_FREE)
# Check for jack_set_port_rename_callback
check_symbol_exists (jack_set_port_rename_callback "jack/jack.h" CONFIG_JACK_PORT_RENAME)
# Check for jack_transport_query function.
check_symbol_exists (jack_transport_query "jack/transport.h" CONFIG_JACK_TRANSPORT)
# Check for jack_get_xrun_delayed_usecs function.
check_symbol_exists (jack_get_xrun_delayed_usecs "jack/statistics.h" CONFIG_JACK_XRUN_DELAY)
# Check for jack_get_max_delayed_usecs function.
check_symbol_exists (jack_get_max_delayed_usecs "jack/statistics.h" CONFIG_JACK_MAX_DELAY)

# Check for jack_port_get_aliases function.
if (CONFIG_JACK_PORT_ALIASES)
  check_symbol_exists (jack_port_get_aliases "jack/jack.h" HAVE_JACK_PORT_ALIASES)
  if (NOT HAVE_JACK_PORT_ALIASES)
    set (CONFIG_JACK_PORT_ALIASES 0)
  endif ()
endif ()

# Check for jack_get_version_string function.
if (CONFIG_JACK_VERSION)
  check_symbol_exists (jack_get_version_string "jack/jack.h" HAVE_JACK_VERSION)
  if (NOT HAVE_JACK_VERSION)
    set (CONFIG_JACK_VERSION 0)
  endif ()
endif ()

# Check for ALSA libraries.
if (CONFIG_ALSA_SEQ)
  find_package (ALSA)
  if (ALSA_FOUND)
    set (CONFIG_ALSA_SEQ 1)
    set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    set (CMAKE_REQUIRED_INCLUDES "${ALSA_INCLUDE_DIRS};${CMAKE_REQUIRED_INCLUDES}")
  else ()
    message (WARNING "*** ALSA library not found.")
    set (CONFIG_ALSA_SEQ 0)
  endif ()
endif ()

# Check for PORTAUDIO libraries.
if (CONFIG_PORTAUDIO)
  find_package (PortAudio)
  if (PortAudio_FOUND)
    set (CONFIG_PORTAUDIO 1)
   #set (CMAKE_REQUIRED_LIBRARIES "${PORTAUDIO_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** PORTAUDIO library not found.")
    set (CONFIG_PORTAUDIO 0)
  endif ()
endif ()


if (CONFIG_COREAUDIO)
  if (APPLE)
    check_include_file ("CoreAudio/CoreAudio.h" HAVE_COREAUDIO_H)
    find_library(CORE_FOUNDATION_LIBRARY CoreFoundation)
    find_library(CORE_AUDIO_LIBRARY CoreAudio)
  endif ()
  if (NOT APPLE OR NOT HAVE_COREAUDIO_H OR NOT CORE_FOUNDATION_LIBRARY OR NOT CORE_AUDIO_LIBRARY)
    set (CONFIG_COREAUDIO 0)
  endif ()
endif ()


add_subdirectory (src)


if (UNIX AND NOT APPLE)
  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
endif ()


if (WIN32)
  set(CPACK_GENERATOR ZIP)
else ()
  set(CPACK_GENERATOR TGZ)
endif ()

include(CPack)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  JACK Audio Connection Kit support  . . . . . . . ." CONFIG_JACK)
show_option ("  JACK Realtime support  . . . . . . . . . . . . . ." CONFIG_JACK_REALTIME)
show_option ("  JACK Transport support . . . . . . . . . . . . . ." CONFIG_JACK_TRANSPORT)
show_option ("  JACK XRUN delay support  . . . . . . . . . . . . ." CONFIG_JACK_XRUN_DELAY)
show_option ("  JACK Maximum scheduling delay support  . . . . . ." CONFIG_JACK_MAX_DELAY)
show_option ("  JACK Port aliases support  . . . . . . . . . . . ." CONFIG_JACK_PORT_ALIASES)
show_option ("  JACK Metadata support  . . . . . . . . . . . . . ." CONFIG_JACK_METADATA)
show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
show_option ("  JACK CV support  . . . . . . . . . . . . . . . . ." CONFIG_JACK_CV)
show_option ("  JACK OSC support . . . . . . . . . . . . . . . . ." CONFIG_JACK_OSC)
show_option ("  JACK Session support . . . . . . . . . . . . . . ." CONFIG_JACK_SESSION)
show_option ("  JACK Version support (JACK2) . . . . . . . . . . ." CONFIG_JACK_VERSION)
show_option ("  ALSA MIDI Sequencer support  . . . . . . . . . . ." CONFIG_ALSA_SEQ)
show_option ("  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
show_option ("  D-Bus interface support  . . . . . . . . . . . . ." CONFIG_DBUS)
show_option ("  PortAudio interface support  . . . . . . . . . . ." CONFIG_PORTAUDIO)
show_option ("  CoreAudio interface support  . . . . . . . . . . ." CONFIG_COREAUDIO)
message     ("")
show_option ("  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
show_option ("  Install Qt on MacOS / Windows  . . . . . . . . . ." CONFIG_INSTALL_QT)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== src/CMakeLists.txt ===
# project (qjackctl)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

set (CMAKE_AUTOUIC ON)
set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTORCC ON)

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
endif ()
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qjackctl.h
  qjackctlAbout.h
  qjackctlAlsaConnect.h
  qjackctlAlsaGraph.h
  qjackctlConnect.h
  qjackctlAliases.h
  qjackctlGraph.h
  qjackctlGraphCommand.h
  qjackctlInterfaceComboBox.h
  qjackctlJackConnect.h
  qjackctlJackGraph.h
  qjackctlPatchbay.h
  qjackctlPatchbayFile.h
  qjackctlPatchbayRack.h
  qjackctlSession.h
  qjackctlSetup.h
  qjackctlStatus.h
  qjackctlSystemTray.h
  qjackctlAboutForm.h
  qjackctlConnectionsForm.h
  qjackctlGraphForm.h
  qjackctlMainForm.h
  qjackctlMessagesStatusForm.h
  qjackctlPatchbayForm.h
  qjackctlSessionForm.h
  qjackctlSetupForm.h
  qjackctlPaletteForm.h
  qjackctlSocketForm.h
)

set (SOURCES
  qjackctl.cpp
  qjackctlAlsaConnect.cpp
  qjackctlAlsaGraph.cpp
  qjackctlConnect.cpp
  qjackctlAliases.cpp
  qjackctlGraph.cpp
  qjackctlGraphCommand.cpp
  qjackctlInterfaceComboBox.cpp
  qjackctlJackConnect.cpp
  qjackctlJackGraph.cpp
  qjackctlPatchbay.cpp
  qjackctlPatchbayFile.cpp
  qjackctlPatchbayRack.cpp
  qjackctlSession.cpp
  qjackctlSetup.cpp
  qjackctlSystemTray.cpp
  qjackctlAboutForm.cpp
  qjackctlConnectionsForm.cpp
  qjackctlGraphForm.cpp
  qjackctlMainForm.cpp
  qjackctlMessagesStatusForm.cpp
  qjackctlPatchbayForm.cpp
  qjackctlSessionForm.cpp
  qjackctlSetupForm.cpp
  qjackctlPaletteForm.cpp
  qjackctlSocketForm.cpp
)

set (FORMS
  qjackctlAboutForm.ui
  qjackctlConnectionsForm.ui
  qjackctlGraphForm.ui
  qjackctlMainForm.ui
  qjackctlMessagesStatusForm.ui
  qjackctlPatchbayForm.ui
  qjackctlSessionForm.ui
  qjackctlSetupForm.ui
  qjackctlPaletteForm.ui
  qjackctlSocketForm.ui
)

set (RESOURCES
  qjackctl.qrc
)

set (TRANSLATIONS
	translations/qjackctl_cs.ts
	translations/qjackctl_de.ts
	translations/qjackctl_es.ts
	translations/qjackctl_fr.ts
	translations/qjackctl_it.ts
	translations/qjackctl_ja.ts
	translations/qjackctl_ko.ts
	translations/qjackctl_nl.ts
	translations/qjackctl_pt.ts
	translations/qjackctl_ru.ts
	translations/qjackctl_sk.ts
	translations/qjackctl_uk.ts
)

if (QT_VERSION VERSION_LESS 5.15.0)
  qt5_add_translation (QM_FILES ${TRANSLATIONS})
else ()
  qt_add_translation (QM_FILES ${TRANSLATIONS})
endif ()

add_custom_target (translations ALL DEPENDS ${QM_FILES})

add_executable (${PROJECT_NAME}
  ${HEADERS}
  ${SOURCES}
  ${FORMS}
  ${RESOURCES}
)

# Add some debugger flags.
if (CONFIG_DEBUG AND UNIX AND NOT APPLE)
  set (CONFIG_DEBUG_OPTIONS -g -fsanitize=address -fno-omit-frame-pointer)
  target_compile_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
  target_link_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
endif ()

set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)

if (WIN32)
  set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
  target_compile_definitions (${PROJECT_NAME} PUBLIC _USE_MATH_DEFINES)
endif ()

if (APPLE)
  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Xml)

if (CONFIG_XUNIQUE)
  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
endif ()

if (CONFIG_DBUS)
  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::DBus)
endif ()

if (CONFIG_JACK)
  target_link_libraries (${PROJECT_NAME} PRIVATE Jack::Jack)
endif ()

if (CONFIG_ALSA_SEQ)
  target_link_libraries (${PROJECT_NAME} PRIVATE ALSA::ALSA)
endif ()

if (CONFIG_PORTAUDIO)
  target_link_libraries (${PROJECT_NAME} PRIVATE PortAudio::PortAudio)
endif ()

if (CONFIG_COREAUDIO)
  target_link_libraries (${PROJECT_NAME} PRIVATE ${CORE_FOUNDATION_LIBRARY} ${CORE_AUDIO_LIBRARY})
endif ()


if (MINGW OR (UNIX AND NOT APPLE))
  install (TARGETS ${PROJECT_NAME} RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${QM_FILES}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
  install (FILES images/${PROJECT_NAME}.png
    RENAME org.rncbc.${PROJECT_NAME}.png
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${PROJECT_NAME}.svg
    RENAME org.rncbc.${PROJECT_NAME}.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/org.rncbc.${PROJECT_NAME}.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES appdata/org.rncbc.${PROJECT_NAME}.metainfo.xml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES man1/${PROJECT_NAME}.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  install (FILES man1/${PROJECT_NAME}.fr.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME ${PROJECT_NAME}.1)
elseif (APPLE)
  # Generate bundle on MacOS with QjackCtl.icns as the icon and a custom Info.plist file.
  target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/images/QjackCtl.icns)
  set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/images/QjackCtl.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  set_target_properties(${PROJECT_NAME} PROPERTIES
    MACOSX_BUNDLE True
    OUTPUT_NAME QjackCtl
    MACOSX_RPATH ON
    INSTALL_RPATH @executable_path/../Frameworks
    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/appdata/Info.plist
  )
  install (TARGETS ${PROJECT_NAME} BUNDLE
     DESTINATION ${CMAKE_INSTALL_BINDIR})
elseif (WIN32)
  install (TARGETS ${PROJECT_NAME} RUNTIME
     DESTINATION .)
  # Use same path as windeployqt for translations
  install (FILES ${QM_FILES}
     DESTINATION translations)
endif ()


if (WIN32 AND CONFIG_INSTALL_QT)
  get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
  get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
  set (QT_WINDEPLOYQT "${_qt_bin_dir}/windeployqt.exe")

  if (EXISTS ${QT_WINDEPLOYQT})
    # execute windeployqt in a tmp directory after build
    if (QT_VERSION_MAJOR MATCHES "5")
      # These options are not available with Qt6
      set (WINDEPLOYQT_EXTRA_OPTIONS --no-webkit2 --no-angle)
    endif ()

    add_custom_command (TARGET ${PROJECT_NAME}
      POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
      COMMAND set PATH=${_qt_bin_dir}$<SEMICOLON>%PATH%
      COMMAND "${QT_WINDEPLOYQT}"
        --dir "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
        --no-quick-import
        --no-opengl-sw
        --no-virtualkeyboard
        --no-svg
        ${WINDEPLOYQT_EXTRA_OPTIONS}
        "$<TARGET_FILE:${PROJECT_NAME}>"
      USES_TERMINAL
    )

    # copy deployment directory during installation
    install (
      DIRECTORY
      "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
      DESTINATION .
    )
  endif ()
endif ()

if (APPLE AND CONFIG_INSTALL_QT)
  get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
  get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
  find_program(QT_MACDEPLOYQT macdeployqt HINTS "${_qt_bin_dir}")

  if (EXISTS ${QT_MACDEPLOYQT})
    add_custom_command (TARGET ${PROJECT_NAME}
      POST_BUILD
      COMMAND "${QT_MACDEPLOYQT}" "$<TARGET_FILE_DIR:${PROJECT_NAME}>/../.."
      USES_TERMINAL
    )
  endif ()
endif ()

=== debian/changelog ===
qjackctl (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * d/copyright: Update appdata file

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 16 Apr 2022 21:54:46 +0200

## qjackctl 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qjackctl
-  VERSION 0.9.7
+  VERSION 0.9.9
   DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
   LANGUAGES C CXX)
 
@@ -40,9 +40,6 @@
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qjackctl")
 
-set (ac_version "${PROJECT_VERSION}")
-set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
-
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
 if (CONFIG_DEBUG)
@@ -137,7 +134,7 @@
   find_package (QT QUIET NAMES Qt5)
 endif ()
 
-find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml Svg)
 
 if (CONFIG_XUNIQUE)
   find_package (Qt${QT_VERSION_MAJOR} COMPONENTS Network)
@@ -275,19 +272,6 @@
 
 add_subdirectory (src)
 
-
-if (UNIX AND NOT APPLE)
-  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
-endif ()
-
-
-if (WIN32)
-  set(CPACK_GENERATOR ZIP)
-else ()
-  set(CPACK_GENERATOR TGZ)
-endif ()
-
-include(CPack)
 
 # Configuration status
 macro (SHOW_OPTION text value)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -136,7 +136,7 @@
   set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
 endif ()
 
-target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Xml)
+target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Xml Qt${QT_VERSION_MAJOR}::Svg)
 
 if (CONFIG_XUNIQUE)
   target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
@@ -208,14 +208,12 @@
   get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
   get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
   set (QT_WINDEPLOYQT "${_qt_bin_dir}/windeployqt.exe")
-
   if (EXISTS ${QT_WINDEPLOYQT})
     # execute windeployqt in a tmp directory after build
     if (QT_VERSION_MAJOR MATCHES "5")
       # These options are not available with Qt6
       set (WINDEPLOYQT_EXTRA_OPTIONS --no-webkit2 --no-angle)
     endif ()
-
     add_custom_command (TARGET ${PROJECT_NAME}
       POST_BUILD
       COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
@@ -230,7 +228,6 @@
         "$<TARGET_FILE:${PROJECT_NAME}>"
       USES_TERMINAL
     )
-
     # copy deployment directory during installation
     install (
       DIRECTORY
@@ -244,7 +241,6 @@
   get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
   get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
   find_program(QT_MACDEPLOYQT macdeployqt HINTS "${_qt_bin_dir}")
-
   if (EXISTS ${QT_MACDEPLOYQT})
     add_custom_command (TARGET ${PROJECT_NAME}
       POST_BUILD

=== debian/changelog ===
qjackctl (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Refresh d/clean

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:38:21 +0100

qjackctl (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Bump Standards Version to 4.6.1
  * Build with Qt6
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 06 Oct 2022 23:12:40 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjack-dev | libjack-jackd2-dev,
 libqt6svg6-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libx11-dev
Standards-Version: 4.6.2
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt6

%:
	dh $@

override_dh_clean:
	dh_clean --exclude=qjackctl.pro

## qjackctl 0.9.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qjackctl
-  VERSION 0.9.9
+  VERSION 0.9.11
   DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
   LANGUAGES C CXX)
 
@@ -42,16 +42,13 @@
 
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
-if (CONFIG_DEBUG)
-  set (CMAKE_BUILD_TYPE "Debug")
-endif ()
 if (CMAKE_BUILD_TYPE MATCHES "Debug")
   set (CONFIG_DEBUG 1)
-endif ()
-if (CONFIG_DEBUG)
   set (CONFIG_BUILD_TYPE "debug")
 else ()
+  set (CONFIG_DEBUG 0)
   set (CONFIG_BUILD_TYPE "release")
+  set (CMAKE_BUILD_TYPE "Release")
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
qjackctl (0.9.11-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Aug 2023 13:04:19 -0700

qjackctl (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 19:38:48 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <snd@debian.org>,
           Adrian Knoth <adi@drcomp.erfurt.thur.de>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Free Ekanayaka <freee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libjack-dev | libjack-jackd2-dev,
               libqt6svg6-dev,
               libx11-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.6.2
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends: jackd, ${misc:Depends}, ${shlibs:Depends}
Suggests: pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 override_dh_clean:
 	dh_clean --exclude=qjackctl.pro
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## qjackctl 0.9.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qjackctl
-  VERSION 0.9.11
+  VERSION 0.9.12
   DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
   LANGUAGES C CXX)

=== debian/changelog ===
qjackctl (0.9.12-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 15:29:23 -0700

qjackctl (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:52:19 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt6
+
+# export QT_SELECT = qt6
+# qtchooser doesn't support qt6, but cmake is the magic ingredient
 
 %:
 	dh $@

## qjackctl 0.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,19 @@
 cmake_minimum_required (VERSION 3.15)
 
-project (qjackctl
-  VERSION 0.9.12
-  DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
+project (QjackCtl
+  VERSION 0.9.13
+  DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
+  HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)
 
+set (PROJECT_TITLE "${PROJECT_NAME}")
+string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
+
+set (PROJECT_COPYRIGHT "Copyright (C) 2003-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_DOMAIN    "rncbc.org")
+
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 
-set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
@@ -15,32 +21,24 @@
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
-  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
-  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
+  set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
+  string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
-  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
-    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
-  endif ()
-else ()
-  set (VERSION "${PROJECT_VERSION}")
-endif ()
-
-set (PACKAGE_NAME "QjackCtl")
-set (PACKAGE_VERSION "${VERSION}")
-set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
-set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
-set (PACKAGE_TARNAME "qjackctl")
-
-set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
+  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "main")
+    set (GIT_VERSION "${GIT_VERSION} [${GIT_REVPARSE_OUTPUT}]")
+  endif ()
+  set (PROJECT_VERSION "${GIT_VERSION}")
+endif ()
+
 
 if (CMAKE_BUILD_TYPE MATCHES "Debug")
   set (CONFIG_DEBUG 1)
@@ -164,10 +162,24 @@
 
 
 # Find package modules
-find_package (Jack REQUIRED)
-set (CONFIG_JACK 1)
-set (CMAKE_REQUIRED_LIBRARIES "${Jack_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
-set (CMAKE_REQUIRED_INCLUDES "${Jack_INCLUDE_DIRS};${CMAKE_REQUIRED_INCLUDES}")
+include (FindPkgConfig)
+
+pkg_check_modules (JACK IMPORTED_TARGET jack>=0.100.0)
+if (JACK_FOUND)
+  find_library (JACK_LIBRARY NAMES ${JACK_LIBRARIES} HINTS ${JACK_LIBDIR})
+  if (JACK_LIBRARY)
+    set (CONFIG_JACK 1)
+    set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+    set (CMAKE_REQUIRED_INCLUDES "${JACK_INCLUDE_DIRS};${CMAKE_REQUIRED_INCLUDES}")
+  else ()
+    message (FATAL_ERROR "*** JACK library not found.")
+    set (CONFIG_JACK 0)
+  endif ()
+else ()
+  message (FATAL_ERROR "*** JACK package not found.")
+  set (CONFIG_JACK 0)
+endif ()
+
 # Check for jack/statistics.h header.
 check_include_file (jack/statistics.h HAVE_JACK_STATISTICS_H)
 if (NOT HAVE_JACK_STATISTICS_H)
@@ -279,8 +291,7 @@
   endif ()
 endmacro ()
 
-
-message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
+message   ("\n  ${PROJECT_TITLE} ${PROJECT_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  JACK Audio Connection Kit support  . . . . . . . ." CONFIG_JACK)
 show_option ("  JACK Realtime support  . . . . . . . . . . . . . ." CONFIG_JACK_REALTIME)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -100,6 +100,7 @@
 	translations/qjackctl_pt.ts
 	translations/qjackctl_ru.ts
 	translations/qjackctl_sk.ts
+	translations/qjackctl_tr.ts
 	translations/qjackctl_uk.ts
 )
 
@@ -147,7 +148,7 @@
 endif ()
 
 if (CONFIG_JACK)
-  target_link_libraries (${PROJECT_NAME} PRIVATE Jack::Jack)
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::JACK)
 endif ()
 
 if (CONFIG_ALSA_SEQ)

=== debian/changelog ===
qjackctl (0.9.13-1build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:21:43 +0000

qjackctl (0.9.13-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:05:47 +0000

qjackctl (0.9.13-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:56:26 +0000

qjackctl (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 29 Jan 2024 21:03:43 +0100

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjack-dev | libjack-jackd2-dev,
 libqt6svg6-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libx11-dev
Standards-Version: 4.6.2
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

## qjackctl 0.9.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QjackCtl
-  VERSION 0.9.13
+  VERSION 0.9.91
   DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
   HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)

=== debian/changelog ===
qjackctl (0.9.91-1) unstable; urgency=medium

  * New upstream version 0.9.91
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 17:22:33 +0200

qjackctl (0.9.90-1) unstable; urgency=medium

  * New upstream version 0.9.90
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 17:40:44 +0200

## qjackctl 1.0.0

=== debian/changelog ===
qjackctl (1.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Bump d/copyright years

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 09:32:21 -0700

qjackctl (0.9.12-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt 5 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 15:29:23 -0700

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <snd@debian.org>,
           Adrian Knoth <adi@drcomp.erfurt.thur.de>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Free Ekanayaka <freee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libjack-dev | libjack-jackd2-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends: jackd, ${misc:Depends}, ${shlibs:Depends}
Suggests: pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

## qjackctl 1.0.1

=== debian/changelog ===
qjackctl (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Dennis Braun <snd@debian.org>  Wed, 07 Aug 2024 22:17:45 +0200

qjackctl (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:15:18 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjack-dev | libjack-jackd2-dev,
 libqt6svg6-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libx11-dev
Standards-Version: 4.7.0
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

## qjackctl 1.0.2

=== debian/changelog ===
qjackctl (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:03:27 +0200

## qjackctl 1.0.3

=== debian/changelog ===
qjackctl (1.0.3-1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.3

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Jan 2025 19:43:35 -0800

qjackctl (1.0.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Bump d/copyright years

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 09:32:21 -0700

## qjackctl 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QjackCtl
-  VERSION 0.9.91
+  VERSION 1.0.4
   DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
   HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)
@@ -9,7 +9,7 @@
 set (PROJECT_TITLE "${PROJECT_NAME}")
 string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2003-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2003-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "rncbc.org")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
@@ -23,8 +23,6 @@
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
@@ -281,6 +279,11 @@
 
 add_subdirectory (src)
 
+
+# Finally check whether Qt is statically linked.
+if (QT_FEATURE_static)
+  set(QT_VERSION "${QT_VERSION}-static")
+endif ()
 
 # Configuration status
 macro (SHOW_OPTION text value)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
   qjackctlMessagesStatusForm.h
   qjackctlPatchbayForm.h
   qjackctlSessionForm.h
+  qjackctlSessionSaveForm.h
   qjackctlSetupForm.h
   qjackctlPaletteForm.h
   qjackctlSocketForm.h
@@ -66,6 +67,7 @@
   qjackctlMessagesStatusForm.cpp
   qjackctlPatchbayForm.cpp
   qjackctlSessionForm.cpp
+  qjackctlSessionSaveForm.cpp
   qjackctlSetupForm.cpp
   qjackctlPaletteForm.cpp
   qjackctlSocketForm.cpp
@@ -79,6 +81,7 @@
   qjackctlMessagesStatusForm.ui
   qjackctlPatchbayForm.ui
   qjackctlSessionForm.ui
+  qjackctlSessionSaveForm.ui
   qjackctlSetupForm.ui
   qjackctlPaletteForm.ui
   qjackctlSocketForm.ui
@@ -97,7 +100,7 @@
 	translations/qjackctl_ja.ts
 	translations/qjackctl_ko.ts
 	translations/qjackctl_nl.ts
-	translations/qjackctl_pt.ts
+	translations/qjackctl_pt_BR.ts
 	translations/qjackctl_ru.ts
 	translations/qjackctl_sk.ts
 	translations/qjackctl_tr.ts
@@ -183,6 +186,8 @@
     DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
   install (FILES man1/${PROJECT_NAME}.fr.1
     DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME ${PROJECT_NAME}.1)
+  install (FILES palette/KXStudio.conf palette/Wonton\ Soup.conf
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/palette)
 elseif (APPLE)
   # Generate bundle on MacOS with QjackCtl.icns as the icon and a custom Info.plist file.
   target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/images/QjackCtl.icns)

=== debian/changelog ===
qjackctl (1.0.4-1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.4
  * Bump d/copyright years.
  * Add pkgconf to B-Ds.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Jul 2025 13:40:01 -0700

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# export QT_SELECT = qt6
-# qtchooser doesn't support qt6, but cmake is the magic ingredient
+export QT_SELECT = qt5
 
 %:
 	dh $@

## qjackctl 1.0.4.14git.1b79f2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QjackCtl
-  VERSION 1.0.4
+  VERSION 1.0.4.14
   DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
   HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)
@@ -98,8 +98,6 @@
 # Enable debugger stack-trace option (assumes --enable-debug).
 option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)
 
-# Enable Wayland support option.
-option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)

## qjackctl 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QjackCtl
-  VERSION 1.0.4.14
+  VERSION 1.0.5
   DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
   HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)
@@ -9,7 +9,7 @@
 set (PROJECT_TITLE "${PROJECT_NAME}")
 string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2003-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2003-2026, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "rncbc.org")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

=== debian/changelog ===
qjackctl (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Remove redundant priority optional field
  * Remove redudant rules-requires-root-no field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years
  * Update d/watch to version 5

 -- Dennis Braun <snd@debian.org>  Tue, 03 Mar 2026 19:37:03 +0100

qjackctl (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
    (Closes: #1059886)
    + Fix build with GCC-15 (Closes: #1097696)
  * Add pkgconf to B-Ds
  * Bump Standards-Version to 4.7.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Thu, 03 Apr 2025 19:55:59 +0200

qjackctl (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 18:40:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qjackctl
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
@@ -16,12 +15,12 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools,
- libx11-dev
-Standards-Version: 4.7.0
+ libx11-dev,
+ pkgconf
+Standards-Version: 4.7.3
 Homepage: https://qjackctl.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
-Rules-Requires-Root: no
 
 Package: qjackctl
 Architecture: any
